#' Artificial Q-matrix for 30 items 3 attributes
#'
#' this matrix represents an artificial Q-matrix for 30 items and 3 attributes
#'
#' @source {artificially simulated}
"sim_Q_J30K3"

#' Artificial Q-matrix for 80 items 5 attributes
#'
#' Artificial Q-matrix for a 80-item test measuring 5 attributes
#' @source {artificially simulated}
"sim_Q_J80K5"

#' Artificial Q-matrix for MC-DINA model
#'
#' Artificial Q-matrix for a 30-item test measuring 5 attributes.
#'
#' @format A matrix with components
#' \describe{
#' \item{column 1}{Item number}
#' \item{column 2}{Stem}
#' \item{column 3 to end}{attributes}
#' }
#'
#' @references Yamaguchi, K. (2020). Variational Bayesian inference for the
#'   multiple-choice DINA model. \emph{Behaviormetrika}, 47(1), 159-187.
#'   \doi{10.1007/s41237-020-00104-w}
"mc_sim_Q"
